SELECT * FROM CARDS

INSERT INTO Cards(name, faction, description, action, image, cost, power, color, type, cardset)
VALUES ('test', 65436, 'test', 'test', 'test', 100, 1000, 'test', 'test', 3000)

DELETE FROM Cards
WHERE name like '%test%'

-- 1. Delete all cards that are part of the Syndicate faction. 
DELETE FROM Cards
WHERE faction = (SELECT hmy FROM Factions WHERE name = 'Syndicate');

-- 2. Delete all cards that have a cost of 0 and are not stratageum cards.
DELETE FROM Cards
WHERE cost = 0 AND type <> 'stratagem';

-- 1. Update the cost of all Syndicate cards to be one more than their current cost.
UPDATE Cards
SET cost = cost + 1
WHERE faction = (SELECT hmy FROM Factions WHERE name = 'Syndicate');

-- 2. Update the power of all special cards and stratagem cards to be null.
UPDATE Cards
SET power = NULL
WHERE type NOT IN ('unit', 'leader');

-- 3. Update the bronze cards that have a cost between 6 and 8 to be gold.

UPDATE Cards
SET color = 'gold'
WHERE color = 'bronze' AND cost BETWEEN 6 AND 8;
